# WDC toolchain for CMake
# Copyright (C) 2021 Tentei Ltd.
# DISTRIBUTED AS PUBLIC DOMAIN. No restrictions apply.

include(Compiler/WDC)

set(CMAKE_C_COMPILER_ID_RUN YES)
set(CMAKE_C_COMPILER_ID_WORKS YES)
set(CMAKE_C_COMPILER_ID_FORCED YES)

set(CMAKE_C_DEFINE_FLAG "-D")
set(CMAKE_C_VERBOSE_FLAG "-V" )
set(CMAKE_C_FLAGS_DEBUG_INIT "-g -DDEBUG")
set(CMAKE_DEPFILE_FLAGS_C "--create-dep <DEP_FILE>")
set(CMAKE_INCLUDE_FLAG_C "-I ")

set(CMAKE_C90_STANDARD_COMPILE_OPTION "--standard c89")
set(CMAKE_C99_STANDARD_COMPILE_OPTION "--standard c99")

set(CMAKE_C_CREATE_ASSEMBLY_SOURCE
"<CMAKE_C_COMPILER> <DEFINES> <INCLUDES> <FLAGS> -A -O <OBJECT> <SOURCE>")

set(CMAKE_C_CREATE_PREPROCESSED_SOURCE
"<CMAKE_C_COMPILER> <DEFINES> <INCLUDES> <FLAGS> -LT -O <PREPROCESSED_SOURCE> <SOURCE>")

set(CMAKE_C_COMPILE_OBJECT
"<CMAKE_C_COMPILER> <DEFINES> <INCLUDES> <FLAGS> -O <OBJECT> <SOURCE> && \
<CMAKE_ASM_WDC_COMPILER> -O <OBJECT> <OBJECT>")

set(CMAKE_C_LINK_EXECUTABLE
"<CMAKE_LINKER> <LINK_FLAGS> <LINK_LIBRARIES> <OBJECTS> -O <TARGET>")
