/* Copyright (C) 1992 by Zardoz Software, Inc. */
/*******************************************************************************
* FILE NAME:   LIMITS.h
*
* TITLE:       This function prototypes and data type definitions for the Limits.
*
*  DATA_RIGHTS: Western Design Center and R & C Services Proprietary
*               Copyright(C) 1980-2004
*               All rights reserved. Reproduction in any manner, 
*               in whole or in part, is strictly prohibited without
*               the prior written approval of R & C Services or 
*               Western Design Center.
*
* DESCRIPTION: This file describes function prototypes and data type
*              definitions used for Character Limitss.
*
*
* SPECIAL CONSIDERATIONS:
*	        <None>
*
* AUTHOR:      R. Greenthal
*
*
* CREATION DATE:  March 27,2004
*
* REVISION HISTORY
*    Name           Date         Description
*    ------------   ----------   ----------------------------------------------
*    R. Greenthal   03/25/2004   Initial
*                   0x/xx/2004	 Added 
*
*******************************************************************************
*/


#ifndef __LIMITS_H 
#define __LIMITS_H 

#define	CHAR_BIT	8
#define CHAR_MAX	255U
#define	CHAR_MIN	0
#define	INT_MAX		+32767
#define INT_MIN		-32767
#define LONG_MAX	+2147483647
#define LONG_MIN	-2147483647
#define	MB_LEN_MAX	1
#define SCHAR_MAX	+127
#define	SCHAR_MIN	-127
#define SHRT_MAX	+32767
#define	SHRT_MIN	-32767
#define UCHAR_MAX	255U
#define UCHAR_MIN	0
#define UINT_MAX	65535U
#define ULONG_MAX	4294967295U
#define USHORT_MAX	65535U
#define USHRT_MAX	65535U


#endif  // End of __LIMITS_H

/**************************************************/
/*    End of File LIMITS.H                        */
/**************************************************/


